Name:           openaptx
Version:        0.0.0
Release:        1%{?dist}
Summary:        Open Source implementation of Audio Processing Technology codec (aptX)

License:        LGPLv2+
URL:            https://github.com/pali/libopenaptx
Source0:        https://github.com/pali/libopenaptx/releases/download/0.0.0/libopenaptx-0.0.0.tar.gz
Patch0:         openaptx-autotools.patch

BuildRequires:  automake libtool m4

%description
Open Source implementation of Audio Processing Technology codec (aptX)

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        libs
Summary:        Library files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    libs
The %{name}-devel package contains libraries for
applications that use %{name}.


%prep
%autosetup -n libopenaptx-%{version}


%build
autoreconf -vi
%configure --disable-static
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/*

%files libs
# %%license add-license-file-here
# %%doc add-main-docs-here
%{_libdir}/*.so.*

%files devel
# %%doc add-devel-docs-here
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Aug  3 2018 ValdikSS <iam@valdikss.org.ru>
- 
